# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2024-09-19
# File  : unbound_status.py

from cmk.gui.i18n import _
from cmk.gui.plugins.wato.utils import (
    CheckParameterRulespecWithoutItem,
    RulespecGroupCheckParametersApplications,
    rulespec_registry,
)

from cmk.gui.valuespec import (
    Dictionary,
    MonitoringState,
)


def _parameter_valuespec_unbound_status():
    return Dictionary(
        title=_('Unbound: status'),
        elements=[
            ('status_not_running',
             MonitoringState(
                 title='Monitoring state if unbound is not running',
                 default_value=2,
             )),
        ])


rulespec_registry.register(
    CheckParameterRulespecWithoutItem(
        check_group_name='unbound_status',
        group=RulespecGroupCheckParametersApplications,
        match_type='dict',
        parameter_valuespec=_parameter_valuespec_unbound_status,
        title=lambda: _('Unbound status'),
    )
)
